
RSBag - Enhancement #933
bag-cat should use the same replay machinery as bag-play
03/08/2012 02:04 PM - J. Moringen

Status: Resolved Start date: 03/08/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

This would allow taking advantage of all the functionality available in bag->events and the replay strategy machinery.

Related issues:
Related to RSBag - Tasks # 932: Implement --start-time and --end-time for bag... Resolved 03/08/2012

Associated revisions
Revision 433cc133 - 03/12/2012 02:35 AM - J. Moringen
Support function sinks in bag->events in src/rsb/construction.lisp
refs #932, #933
    -  src/rsb/construction.lisp (define-open-bag-method): generated

  methods accept transform keyword parameter which gets passed to
  `open-bag'
  (bag->events bag t): changed specializer uri > t
  (bag>events t string): changed specializer bag > t
  (bag>events channel uri): changed channel connection class
  `channel-connection' > `participant-channel-connection'
  (bag>events channel function): new method; use a function as the
  sink of a bag connection and its channel connections

    -  src/rsb/channel-connection.lisp (close channel-connection): fixed
  keyword parameters; do nothing
  (participant-channel-connection): new class; specialized channel
  connection for cases in which the sink is a RSB participant
  (close participant-channel-connection): new method; detach the
  participant

    -  src/rsb/package.lisp (header): updated copyright
  (package rsbag.rsb): added exported symbol
  participant-channel-connection

    -  src/rsb/replay/sequential-mixin.lisp
  (process-event replay-bag-connection sequential-mixin t t t function):
  new method; use a function as sink

Revision b7af1d7e - 03/12/2012 02:22 PM - J. Moringen
Customizable defaults in make-replay-options common/options.lisp
refs #932, #933
    -  common/options.lisp (make-replay-options): added keyword parameter

  replay-strategy-default; use as default value of replay-strategy
  option

Revision b12dae52 - 03/12/2012 02:22 PM - J. Moringen
Use bag->events in bag-cat/main.lisp
refs #932, fixes #933
    -  bag-cat/main.lisp (update-synopsis): set default value of replay

  strategy to as-fast-as-possible
  (main): instead of manually setting up a serialized view of the
  requested channels, use `bag->events' to create replay bag
  connection; support for {start,end}-{time,index} comes for free

    -  bag-cat/package.lisp (package rsbag.tools.cat): added used package
  rsbag.rsb

Revision ab98f0aa - 03/12/2012 06:36 PM - J. Moringen

merged proper support for {start,end}-{time,index} in bag-{cat,play} from trunk (r387, r386, r385, r384, r383, r382, r381, r378, r369, r368, r367, r366,
r365, r364, r363, r362, r361, r360, r358) refs #932, #933

Revision cdffa1c8 - 03/12/2012 06:36 PM - J. Moringen

merged proper support for {start,end}-{time,index} in bag-{cat,play} from trunk (r387, r386, r385, r384, r383, r382, r381, r378, r369, r368, r367, r366,
r365, r364, r363, r362, r361, r360, r358) refs #932, #933

Revision 7a558e0f - 03/12/2012 06:36 PM - J. Moringen

merged proper support for {start,end}-{time,index} in bag-{cat,play} from trunk (r387, r386, r385, r384, r383, r382, r381, r378, r369, r368, r367, r366,
r365, r364, r363, r362, r361, r360, r358) refs #932, #933

History
#1 - 03/12/2012 01:33 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 50

#2 - 03/12/2012 02:25 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset r383.
